Name:		whisper-cpp-transcribe
Version:	1.7.5
Release:	1%{?dist}
Summary:	C++ implementation of Whisper OpenAI model

License:	MIT
URL:		https://github.com/ggerganov/whisper.cpp
Source0:	whisper.cpp-%{version}.tar.gz

Patch1:		whisper.cpp-1.7.4-paths.patch

BuildRequires:	gcc, g++, make, cmake, git
Requires:	whisper-model-en-base
Requires:	/usr/share/fonts/dejavu-sans-mono-fonts/DejaVuSansMono-Bold.ttf
Provides:	whisper.cpp
Obsoletes:	whisper.cpp < 1.7.2-2

%description
High-performance inference of OpenAI's Whisper automatic speech recognition (ASR) model:
 -  Plain C/C++ implementation without dependencies
 -  Apple Silicon first-class citizen - optimized via ARM NEON, Accelerate framework, Metal and Core ML
 -  AVX intrinsics support for x86 architectures
 -  VSX intrinsics support for POWER architectures
 -  Mixed F16 / F32 precision
 -  4-bit and 5-bit integer quantization support
 -  Zero memory allocations at runtime
 -  Support for CPU-only inference
 -  Efficient GPU support for NVIDIA
 -  Partial OpenCL GPU support via CLBlast
 -  OpenVINO Support
 -  C-style API

%prep
%autosetup -p 1 -n whisper.cpp-%{version}

%build
%cmake -DCMAKE_SKIP_RPATH=yes -DCMAKE_SKIP_INSTALL_RPATH=yes -DBUILD_SHARED_LIBS=no
%cmake_build

%install
install -d $RPM_BUILD_ROOT%{_bindir}
install -Dm 755 %{__cmake_builddir}/bin/whisper-cli $RPM_BUILD_ROOT%{_bindir}/whisper-cli
ln -s whisper-cli $RPM_BUILD_ROOT%{_bindir}/transcribe

%files
%license LICENSE
%doc README.md
%{_bindir}/transcribe
%{_bindir}/whisper-cli

%changelog
* Wed Apr 02 2025 Philippe Troin <phil@fifi.org> - 1.7.5-1
- Upstream updated to 1.7.5.
- Add git to BuildRequires.

* Mon Jan 06 2025 Philippe Troin <phil@fifi.org> - 1.7.4-1
- Upstream updated to 1.7.4.
- Update transcribe -> whisper-cli.

* Wed Dec 18 2024 Philippe Troin <phil@fifi.org> - 1.7.3-1
- Upstream updated to 1.7.3.
- Add cmake to BuildRequires, build with cmake.
- Force static libwhisper library.

* Mon Dec  9 2024 Philippe Troin <phil@fifi.org> - 1.7.2-2
- Rename to whisper-cpp-transcribe.

* Fri Nov 22 2024 Philippe Troin <phil@fifi.org> - 1.7.2-1
- Upstream updated to 1.7.2.

* Sat Sep  7 2024 Philippe Troin <phil@fifi.org> - 1.6.2-1
- Upstream updated to 1.6.2.

* Wed May 22 2024 Philippe Troin <phil@fifi.org> - 1.6.1-1
- Upstream updated to 1.6.1.

* Wed Apr 24 2024 Philippe Troin <phil@fifi.org> - 1.5.5-1
- Upstream updated to 1.5.5.
- Adjust paths patch for 1.5.5.
- Split out the English model to its own package.

* Thu Feb 15 2024 Philippe Troin <phil@fifi.org> - 1.5.4-1
- Created.
